:root {
    --main-bg-color: #353540;
    --active-color: #ff4136;
    --indicator-color: mediumseagreen;
}

.smooth-object {
    transition-duration: 0.4s;
}

.base-icon {
    width: 20px;
}

/* Header */

.header {
    padding: 10px 20px;
    background-color: var(--main-bg-color);
}

.notifications {
    position: relative;
}

.notifications:hover {
    animation: shaking 1s ease-in-out 1;
}

@keyframes shaking {
    0% {
        transform: rotate(0deg);
    }
    30% {
        transform: rotate(35deg);
    }
    50% {
        transform: rotate(-25deg);
    }
    75% {
        transform: rotate(15deg);
    }
    85% {
        transform: rotate(-8deg);
    }
    92% {
        transform: rotate(5deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.notifications::before {
    content: '';
    display: block;
    height: 10px;
    width: 10px;
    border-radius: 100%;
    background: var(--active-color);
    position: absolute;
    top: 2px;
    right: 2px;
}

.notifications:hover::before {
    animation: newMessages 1s ease-in-out infinite;
}

@keyframes newMessages {
    0% {
        transform: scale(1);
    }
    80% {
        transform: scale(1);
    }
    90% {
        transform: scale(1.5);
    }
    100% {
        transform: scale(1);
    }
}

.notifications-icon {
    font-size: 20pt;
}

/* Notifications */

.notifications-window {
    width: 400px;
    position: absolute;
    top: 70px;
    left: -200px;
    display: none;
    opacity: 0;
    z-index: 10;
}

.notifications-window.visible {
    display: block;
}

.notifications-window.unvisible {
    display: none;
}

.notifications-content {
    height: 60px;
    position: relative;
}

.notifications-content::before {
    content: '';
    display: block;
    border: 8px solid transparent;
    border-right: 14px solid #6c757d;
    position: absolute;
    left: -20px;
    top: 10px
}

.user-profile__icon {
    width: 40px;
    height: 40px;
}

.user-profile__icon-header {
    margin-right: 10px;
}

/* User profile */

.user-profile-window {
    width: 150px;
    position: absolute;
    top: 70px;
    left: -40px;
    opacity: 0;
    z-index: 10;
}

.user-profile-windows.visible {
    display: block;
}

.user-profile-window.unvisible {
    display: none;
}

.user-profile-window__item {
    height: 40px;
    display: grid;
    place-content: center;
    cursor: pointer;
}

/* Menu */

.menu-item:hover {
    background-color: #353540;
    transform: translateY(-4px);
}

.nav-link:hover,
.nav-link.active:hover {
    color: white !important;
}

/* Table */

.table tr th:nth-child(2),
.table tr td:nth-child(2) {
    display: none;
}

.general-button {
    padding: 0;
    height: 40px;
    width: 40px;

    margin-right: 7px;

    color: var(--main-bg-color);
    background: lightgray;
}

.general-button:last-child {
    margin-right: 0;
}

.choose-student-indicator {
    height: 20px;
    width: 20px;
}

.choose-student-indicator.selected {
    background: var(--indicator-color);
}

.choose-student-indicator.unselected {
    background: var(--main-bg-color);
}

.content-center {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

/* Forms */

.form-container {
    height: 100%;
    width: 100%;
    background: rgba(000, 000, 000, 0.5);
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.form-unvisible {
    display: none !important;
}

.form {
    width: 500px;
}

/*
    Warning block
*/
.warning-container {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
}

.warning-container.closed {
    display: none;
}

.warning-container.opened {
    display: flex;
    justify-content: center;
    align-items: start;
}

.warning-block {
    width: 500px;
    display: grid;
    justify-items: center;
    transform: translateY(40px);
}